/**
 *  Function.java
 *  Copyright Simon Hern 2009
 *  Contact: dishmoth@yahoo.co.uk, www.dishmoth.com
 */

package Space.patterns;

// base class for noise functions
abstract public class Function {

  // one-dimensional function
  public float value(float x) { return value(x,0,0); }
  
  // two-dimensional function
  public float value(float x, float y) { return value(x,y,0); }
  
  // three-dimensional function
  abstract public float value(float x, float y, float z);
  
} // class Function
